const landingPage = document.querySelector(".landing-page");
const doctorContainer = document.querySelector(".doctor-container");
const japanContainer = document.querySelector(".japan-container");
const philippinesContainer = document.querySelector(".philippines-container");
const resultContainer = document.querySelector(".result-container");

document.getElementById("showDoctor").addEventListener("click", function () {
    landingPage.style.display = "none";
    doctorContainer.style.display = "block";
});

document.getElementById("showJapan").addEventListener("click", function () {
    landingPage.style.display = "none";
    japanContainer.style.display = "block";
});

document.getElementById("showPhilippines").addEventListener("click", function () {
    landingPage.style.display = "none";
    philippinesContainer.style.display = "block";
});

function backToMain() {
    landingPage.style.display = "";
    doctorContainer.style.display = "none";
    japanContainer.style.display = "none";
    philippinesContainer.style.display = "none";
    resultContainer.style.display = "none";
}

function displayResult(story) {
    landingPage.style.display = "none";
    doctorContainer.style.display = "none";
    japanContainer.style.display = "none";
    philippinesContainer.style.display = "none";
    resultContainer.style.display = "";

    resultContainer.style.display = "block";
    resultContainer.querySelector(".result").innerText = story;
}

function getInputsValues(containerSelector) {
    const inputs = document.querySelectorAll(`${containerSelector} .inputs-container input`);
    const inputValues = [];

    inputs.forEach(input => {
        inputValues.push(input.value);
    });

    return inputValues;
}

function generateDoctor() {
    const userInputValues = getInputsValues(".doctor-container");

    const madLibsStory = `Once upon a ${userInputValues[0]} morning, I woke up feeling like a ${userInputValues[1]} that had been left on the griddle for too long. Concerned about my health, I decided it was time to visit Dr. ${userInputValues[2]}, the quirkiest doctor in ${userInputValues[3]}. The waiting room was filled with magazines about ${userInputValues[4]} ninja squirrels and ${userInputValues[5]} disco-dancing penguins. After what felt like an ${userInputValues[6]} eternity of doing ${userInputValues[7]} dance moves to entertain myself, Nurse ${userInputValues[8]} called my name, and I ${userInputValues[9]} my way through a hallway decorated with ${userInputValues[10]} chickens. Dr. ${userInputValues[11]}, wearing a ${userInputValues[12]} sombrero and ${userInputValues[13]} clown shoes, listened to my symptoms while juggling ${userInputValues[14]} ducks. With a prescription for ${userInputValues[15]} therapy, I left the office with a ${userInputValues[16]} grin, ready to face the ${userInputValues[17]}.`;

    displayResult(madLibsStory);
}

function generateJapan() {
    const userInputValues = getInputsValues(".japan-container");

    const japanStory = `With my newfound sense of ${userInputValues[0]}, I ${userInputValues[1]} on a ${userInputValues[2]} and ${userInputValues[3]} off to ${userInputValues[4]}, where the streets were paved with ${userInputValues[5]} and the buildings were made of ${userInputValues[6]} Jenga blocks. ${userInputValues[4]} welcomed me with ${userInputValues[7]} sushi chefs and ${userInputValues[8]} sumo wrestlers breakdancing in the streets. As I ${userInputValues[9]} ancient ninja training grounds and ${userInputValues[10]} ramen stands, I realized that time travel must have been involved somewhere. Eating ${userInputValues[11]} became a ${userInputValues[12]}, and I accidentally challenged a ${userInputValues[13]} geisha to a ${userInputValues[14]}-off in ${userInputValues[4]}. The ${userInputValues[15]} and ${userInputValues[16]} looks from locals made me feel like I had truly mastered the art of the ${userInputValues[17]}.`;

    displayResult(japanStory);
}

function generatePhilippines() {
    const userInputValues = getInputsValues(".philippines-container");

    const philippinesStory = `From ${userInputValues[0]}, I ${userInputValues[1]} myself to the ${userInputValues[2]} using a ${userInputValues[3]} slingshot made of ${userInputValues[4]} husks. Landing on the ${userInputValues[5]} shores of ${userInputValues[6]}, I discovered that the beaches were actually giant ${userInputValues[7]} houses, and the locals were experts at ${userInputValues[8]} swimming with ${userInputValues[9]} dolphins. ${userInputValues[6]}'s street markets featured vendors selling ${userInputValues[10]} mangoes and ${userInputValues[11]} lumpia. The ${userInputValues[12]} hospitality of the locals included a ${userInputValues[13]} dance involving ${userInputValues[14]}-breathing chickens. As the ${userInputValues[15]} set, casting a ${userInputValues[16]} of ${userInputValues[17]} colors across the sky, I realized that yes, it's more ${userInputValues[18]} in the ${userInputValues[19]}—especially when your tour guide is a ${userInputValues[20]}-ing monkey named ${userInputValues[21]}.`;

    displayResult(philippinesStory);
}

resultContainer.addEventListener("click", function (event) {
    if (event.target.classList.contains("copyButton")) {
        copyToClipboard(document.querySelector(".result").innerText);
    }
});

function copyToClipboard(text) {
    const textarea = document.createElement("textarea");
    textarea.value = text;
    document.body.appendChild(textarea);
    textarea.select();
    document.execCommand("copy");
    document.body.removeChild(textarea);
    alert("Story copied to clipboard!");
}